Bug 5171 - missing else-statement in setCallback-function in snack.py
Summary: missing else-statement in setCallback-function in snack.py
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: newt   
(Show other bugs)
Version: 6.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wilson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-16 21:07 UTC by mz
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-09 06:51:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description mz 1999-09-16 21:07:22 UTC
My guess (as snack.py is really bad documented):
class Widget:
  def setCallback(self, obj, data = None):
    if data:
      self.w.setCallback(obj, data)
    self.w.setCallback(obj)
should be:
class Widget:
  def setCallback(self, obj, data = None):
    if data:
      self.w.setCallback(obj, data)
    else:
      self.w.setCallback(obj)

Comment 1 Matt Wilson 2000-02-09 06:51:59 UTC
Good guess. :)

Fixed in next rawhide (newt >= 0.50.7-2)


Note You need to log in before you can comment on or make changes to this bug.